=== testsuite/requirements.txt ===
lxml
nose
mock
sphinx
pylint<0.29
pep8
python-daemon<2.0.0
