=== debian/changelog ===
bcfg2 (1.3.6-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 11 Jun 2015 15:30:04 -0500

bcfg2 (1.3.5-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 05 Sep 2014 07:54:48 -0500

bcfg2 (1.3.4-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 25 Feb 2014 13:25:16 -0600

bcfg2 (1.3.3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 07 Nov 2013 08:09:57 -0600

bcfg2 (1.3.2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 01 Jul 2013 16:24:46 -0500

bcfg2 (1.3.1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 21 Mar 2013 09:32:16 -0500

bcfg2 (1.3.0-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 15 Mar 2013 08:45:18 -0500

bcfg2 (1.3.0rc2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 29 Jan 2013 10:43:55 -0600

bcfg2 (1.3.0rc1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 09 Jan 2013 10:48:22 -0600

bcfg2 (1.3.0pre2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 30 Oct 2012 17:19:01 -0500

bcfg2 (1.3.0pre1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 31 Aug 2012 13:16:05 -0500

bcfg2 (1.2.3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Tue, 03 Jul 2012 09:33:50 -0500

bcfg2 (1.2.2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sat, 17 Mar 2012 14:41:17 -0500

bcfg2 (1.2.1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 27 Jan 2012 13:55:45 -0600

bcfg2 (1.2.0-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 07 Dec 2011 20:22:57 -0600

bcfg2 (1.2.0rc2-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Fri, 28 Oct 2011 14:30:45 -0500

bcfg2 (1.2.0rc1-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Thu, 01 Sep 2011 20:59:16 -0500

bcfg2 (1.2.0pre3-0.0) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sat, 18 Jun 2011 22:41:29 -0500

bcfg2 (1.2.0-0.0pre2) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 25 Apr 2011 11:21:13 -0500

bcfg2 (1.2.0-0.0pre1) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Sun, 23 Jan 2011 16:33:00 -0600

bcfg2 (1.1.0-0.0) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 26 Sep 2010 20:56:09 -0500

bcfg2 (1.1.0-0.0rc5) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Tue, 14 Sep 2010 10:53:22 -0500 

bcfg2 (1.1.0-0.0rc4) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Mon, 19 Jul 2010 14:46:00 -0500

bcfg2 (1.1.0-0.0rc3) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 17 Jun 2010 11:22:34 -0500 

bcfg2 (1.1.0-0.0rc2) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <sol.jerome@gmail.com>  Wed, 09 Jun 2010 12:42:54 -0500

bcfg2 (1.1.0-0.1rc1) unstable; urgency=low

  * release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Tue, 27 Apr 2010 11:17:26 -0600

bcfg2 (1.0.1-1) unstable; urgency=low

  * Remove unnecessary python-lxml dependency (for the client package)
  * Remove duplicate Recommends items

 -- Sol Jerome <solj@ices.utexas.edu>  Thu, 08 Apr 2010 08:31:45 -0600

bcfg2 (1.0.0-6) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5630

 -- Daniel Clark <dclark@pobox.com>  Sun, 23 Dec 2009 02:13:44 -0500

bcfg2 (1.0.0-4) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5621

 -- Daniel Clark <dclark@pobox.com>  Sun, 15 Dec 2009 06:12:33 -0500

bcfg2 (1.0.0-2) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5619

 -- Daniel Clark <dclark@pobox.com>  Sun, 11 Dec 2009 15:59:33 -0500

bcfg2 (1.0.0-1) unstable; urgency=low

  * final release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 17:40:46 -0600

bcfg2 (1.0.0~rc4-1) unstable; urgency=low

  * last release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 16:10:39 -0600

bcfg2 (1.0.0~rc3-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 04 Nov 2009 23:47:56 -0600

bcfg2 (1.0.0~rc2-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

  [ Sami Haahtinen ]
  * Update packaging
  * Switch to plain debhelper
  * Switch from pycentral to python-support
  * Move homepage to the dedicated Homepage field
  * Update Standards-Version to 3.8.3.0
  * Add python-m2crypto as dependency
  * bcfg2-server needs python2.4+

 -- Sami Haahtinen <ressu@debian.org>  Sat, 24 Oct 2009 00:20:51 +0300

bcfg2 (1.0.0rc1-0.1) unstable; urgency=low

  * first release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 25 Oct 2009 21:40:44 -0500

bcfg2 (1.0pre5-0.2) unstable; urgency=low

  * version bump to 1.0pre5

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 23 Jul 2009 10:54:06 -0500

bcfg2 (1.0pre4-0.2) unstable; urgency=low

  * Remove python-cheetah dependency

 -- Sol Jerome <solj@ices.utexas.edu>  Wed, 15 Jun 2009 14:30:25 -0500

bcfg2 (1.0pre4-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 24 Jun 2009 20:58:52 -0500

bcfg2 (1.0pre3-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Fri, 22 May 2009 12:37:13 -0500


